
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following possible cleanups:
- make some needlessly global functions static
- remove the following unused global functions:
  - callbacks.c: cb_out_3
  - capi.c: capi_decode_disc_conf

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/pcbit/callbacks.c |   17 -----------------
 25-akpm/drivers/isdn/pcbit/callbacks.h |    3 ---
 25-akpm/drivers/isdn/pcbit/capi.c      |   10 ----------
 25-akpm/drivers/isdn/pcbit/capi.h      |    1 -
 25-akpm/drivers/isdn/pcbit/drv.c       |   16 ++++++++--------
 5 files changed, 8 insertions(+), 39 deletions(-)

diff -puN drivers/isdn/pcbit/callbacks.c~drivers-isdn-pcbit-possible-cleanups drivers/isdn/pcbit/callbacks.c
--- 25/drivers/isdn/pcbit/callbacks.c~drivers-isdn-pcbit-possible-cleanups	2005-03-13 13:37:15.000000000 -0800
+++ 25-akpm/drivers/isdn/pcbit/callbacks.c	2005-03-13 13:37:15.000000000 -0800
@@ -125,23 +125,6 @@ void cb_out_2(struct pcbit_dev * dev, st
 
 
 /*
- * Disconnect received (actually RELEASE COMPLETE) 
- * This means we were not able to establish connection with remote
- * Inform the big boss above
- */
-void cb_out_3(struct pcbit_dev * dev, struct pcbit_chan* chan,
-	      struct callb_data *data) 
-{
-        isdn_ctrl ictl;
-
-        ictl.command = ISDN_STAT_DHUP;
-        ictl.driver=dev->id;
-        ictl.arg=chan->id;
-        dev->dev_if->statcallb(&ictl);
-}
-
-
-/*
  * Incoming call received
  * inform user
  */
diff -puN drivers/isdn/pcbit/callbacks.h~drivers-isdn-pcbit-possible-cleanups drivers/isdn/pcbit/callbacks.h
--- 25/drivers/isdn/pcbit/callbacks.h~drivers-isdn-pcbit-possible-cleanups	2005-03-13 13:37:15.000000000 -0800
+++ 25-akpm/drivers/isdn/pcbit/callbacks.h	2005-03-13 13:37:15.000000000 -0800
@@ -19,9 +19,6 @@ extern void cb_out_1(struct pcbit_dev * 
 extern void cb_out_2(struct pcbit_dev * dev, struct pcbit_chan* chan, 
 		     struct callb_data *data);
 
-extern void cb_out_3(struct pcbit_dev * dev, struct pcbit_chan* chan, 
-		     struct callb_data *data);
-
 extern void cb_in_1(struct pcbit_dev * dev, struct pcbit_chan* chan, 
 		    struct callb_data *data);
 extern void cb_in_2(struct pcbit_dev * dev, struct pcbit_chan* chan, 
diff -puN drivers/isdn/pcbit/capi.c~drivers-isdn-pcbit-possible-cleanups drivers/isdn/pcbit/capi.c
--- 25/drivers/isdn/pcbit/capi.c~drivers-isdn-pcbit-possible-cleanups	2005-03-13 13:37:15.000000000 -0800
+++ 25-akpm/drivers/isdn/pcbit/capi.c	2005-03-13 13:37:15.000000000 -0800
@@ -627,16 +627,6 @@ int capi_decode_disc_ind(struct pcbit_ch
         return 0;
 }
 
-int capi_decode_disc_conf(struct pcbit_chan *chan, struct sk_buff *skb)
-{
-        ushort errcode;
-
-        errcode = *((ushort*) skb->data);
-        skb_pull(skb, 2);
-
-        return errcode;                
-}
-
 #ifdef DEBUG
 int capi_decode_debug_188(u_char *hdr, ushort hdrlen)
 {
diff -puN drivers/isdn/pcbit/capi.h~drivers-isdn-pcbit-possible-cleanups drivers/isdn/pcbit/capi.h
--- 25/drivers/isdn/pcbit/capi.h~drivers-isdn-pcbit-possible-cleanups	2005-03-13 13:37:15.000000000 -0800
+++ 25-akpm/drivers/isdn/pcbit/capi.h	2005-03-13 13:37:15.000000000 -0800
@@ -54,7 +54,6 @@ extern int capi_tdata_resp(struct pcbit_
 
 /* Connection Termination */
 extern int capi_disc_req(ushort callref, struct sk_buff **skb, u_char cause);
-extern int capi_decode_disc_conf(struct pcbit_chan *chan, struct sk_buff *skb);
 
 extern int capi_decode_disc_ind(struct pcbit_chan *chan, struct sk_buff *skb);
 extern int capi_disc_resp(struct pcbit_chan *chan, struct sk_buff **skb);
diff -puN drivers/isdn/pcbit/drv.c~drivers-isdn-pcbit-possible-cleanups drivers/isdn/pcbit/drv.c
--- 25/drivers/isdn/pcbit/drv.c~drivers-isdn-pcbit-possible-cleanups	2005-03-13 13:37:15.000000000 -0800
+++ 25-akpm/drivers/isdn/pcbit/drv.c	2005-03-13 13:37:15.000000000 -0800
@@ -56,10 +56,10 @@ static char* pcbit_devname[MAX_PCBIT_CAR
  * prototypes
  */
 
-int pcbit_command(isdn_ctrl* ctl);
-int pcbit_stat(u_char __user * buf, int len, int, int);
-int pcbit_xmit(int driver, int chan, int ack, struct sk_buff *skb);
-int pcbit_writecmd(const u_char __user *, int, int, int);
+static int pcbit_command(isdn_ctrl* ctl);
+static int pcbit_stat(u_char __user * buf, int len, int, int);
+static int pcbit_xmit(int driver, int chan, int ack, struct sk_buff *skb);
+static int pcbit_writecmd(const u_char __user *, int, int, int);
 
 static int set_protocol_running(struct pcbit_dev * dev);
 
@@ -238,7 +238,7 @@ void pcbit_terminate(int board)
 }
 #endif
 
-int pcbit_command(isdn_ctrl* ctl)
+static int pcbit_command(isdn_ctrl* ctl)
 {
 	struct pcbit_dev  *dev;
 	struct pcbit_chan *chan;
@@ -330,7 +330,7 @@ static void pcbit_block_timer(unsigned l
 }
 #endif
 
-int pcbit_xmit(int driver, int chnum, int ack, struct sk_buff *skb)
+static int pcbit_xmit(int driver, int chnum, int ack, struct sk_buff *skb)
 {
 	ushort hdrlen;
 	int refnum, len;
@@ -389,7 +389,7 @@ int pcbit_xmit(int driver, int chnum, in
 	return len;
 }
 
-int pcbit_writecmd(const u_char __user *buf, int len, int driver, int channel)
+static int pcbit_writecmd(const u_char __user *buf, int len, int driver, int channel)
 {
 	struct pcbit_dev * dev;
 	int i, j;
@@ -713,7 +713,7 @@ static char statbuf[STATBUF_LEN];
 static int stat_st = 0;
 static int stat_end = 0;
 
-int pcbit_stat(u_char __user *buf, int len, int driver, int channel)
+static int pcbit_stat(u_char __user *buf, int len, int driver, int channel)
 {
 	int stat_count;
 	stat_count = stat_end - stat_st;
_
